Public Member Functions | Data Fields

# GRFIdentifier Struct Reference

Basic data to distinguish a GRF. More...

`#include <newgrf_config.h>`

Inheritance diagram for GRFIdentifier:

## Public Member Functions
bool | HasGrfIdentifier (uint32 grfid, const uint8 *md5sum) const
| Does the identification match the provided values?
## Data Fields
uint32 | grfid
| GRF ID (defined by Action 0x08).
uint8 | md5sum [16]
| MD5 checksum of file to distinguish files with the same GRF ID (eg. newer version of GRF).

## Detailed Description

Basic data to distinguish a GRF.

Used in the server list window

Definition at line 84 of file newgrf_config.h.

## Member Function Documentation

bool GRFIdentifier::HasGrfIdentifier | ( | uint32 | grfid,
|  | const uint8 * | md5sum |
| ) |  |  | const`[inline]`

Does the identification match the provided values?

Parameters:

  | grfid | Expected grfid.
  | md5sum | Expected md5sum, may be `NULL` (in which case, do not check it).

Returns:
  the object has the provided grfid and md5sum.

Definition at line 94 of file newgrf_config.h.

The documentation for this struct was generated from the following file:

- src/newgrf_config.h